Bug 110026 - Click to create New or to Open Contact causes crash
Click to create New or to Open Contact causes crash
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2003-11-13 23:25 EST by marty diamond
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-04 20:22:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description marty diamond 2003-11-13 23:25:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
Application "evolution" (process 7463 ) has crashed
due to a fatal error.
(Segmentation fault)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Launch Evolution and click on 'Contacts folder'
2. Double click on existing contact or one click on 'new'
3. Popup window appears announcing crash/seg fault

Actual Results:  Popup window appears annoucing seg fault.  Click
'Close'; Evolution
window also closes.

Expected Results:  Double click on Contract should open specific
Contact's config window
so that contact info can be ammended or appended.

Additional info:

(evolution:7463): libglade-WARNING **: could not find `gnome' init
function: `glade_module_register_widgets':
/usr/lib/libgmodule-2.0.so.0: undefined symbol:
(evolution:7463): libglade-WARNING **: Could not load support for
`bonobo': /usr/lib/libbonobo.so: undefined symbol: TC_long_struct
(evolution:7463): libglade-WARNING **: unknown widget class 'GnomeApp'
(evolution:7463): GLib-GObject-WARNING **: invalid cast from
`GtkLabel' to `GtkContainer'
(evolution:7463): Gtk-CRITICAL **: file gtkcontainer.c: line 1277
(gtk_container_foreach): assertion `GTK_IS_CONTAINER (container)' failed
(evolution:7463): GLib-GObject-WARNING **: invalid cast from
`GtkLabel' to `GnomeApp'

Evolution version installed from FTP download.  Also did a 'rpmbuild 
--rebuild evolution-1.4.5-7.src.rpm' and then install...Same crashing
occurs.  No dependency issues reported when installing
Comment 1 Jeremy Katz 2003-11-13 23:43:21 EST
What versions of glib2 and libglade do you have installed?
Comment 2 marty diamond 2003-11-14 00:23:40 EST


Comment 3 Jeremy Katz 2003-11-14 12:50:39 EST
Whoops, sorry -- libglade2, not libglade?
Comment 4 marty diamond 2003-11-14 15:07:08 EST
Comment 5 marty diamond 2003-11-26 13:30:03 EST
Probably a minor detail but Platform is:  i686
NOT i386 as I first reported.
Comment 6 marty diamond 2004-01-20 09:24:11 EST
After backing up essential data and config on this effected FC1 I did
a _clean_ install of FC1.  Copied my existing ~/evolution directory
into my new regular user account directory and launched Evo.  The
Evolution 'Contacts' function no longer crashes Evo.  I can now
open/edit/save the Evo contacts list and Bug#110136 is no longer an issue.

Side note:  Experience in the past with the windows OS had taught me
that OS updates where always problematic and not to be attempted.  My
_upgrade_ from RH9 to FC1 was an experiment that FAILED.  The FC1
update functionality is _flawed_ and should be avoided as well.

Note You need to log in before you can comment on or make changes to this bug.